
'Klaus D. Raudszus
'Raudszusklaus@aol.com

Option Strict On

Imports System.Windows.Forms
Imports FileInformation.Enumeratoren.Sort

Public Class InitColHeaders

    Friend WithEvents m_ColHeaderFName As FBColumnHeader
    Friend WithEvents m_ColHeaderFExeType As FBColumnHeader
    Friend WithEvents m_ColHeaderFLength As FBColumnHeader
    Friend WithEvents m_ColHeaderFLastChange As FBColumnHeader
    Friend WithEvents m_ColHeaderFLastAccess As FBColumnHeader
    Friend WithEvents m_ColHeaderFType As FBColumnHeader
    Friend WithEvents m_ColHeaderFAttributes As FBColumnHeader

    Public Sub New(ByVal ltv As ListView)
        Me.m_ColHeaderFName = New FBColumnHeader
        With Me.m_ColHeaderFName
            .Sort = ByName
            .Width = 125
            .Text = "Dateiname"
        End With
        Me.m_ColHeaderFExeType = New FBColumnHeader
        With Me.m_ColHeaderFExeType
            .Sort = ByExeType
            .Width = 75
            .Text = "Dateiendung"
            .TextAlign = HorizontalAlignment.Center
        End With
        Me.m_ColHeaderFType = New FBColumnHeader
        With Me.m_ColHeaderFType
            .Sort = ByType
            .Width = 150
            .Text = "Dateityp"
        End With
        Me.m_ColHeaderFLength = New FBColumnHeader
        With Me.m_ColHeaderFLength
            .Sort = BySize
            .Width = 100
            .Text = "Gre in Bytes   "
            .TextAlign = HorizontalAlignment.Right
        End With
        Me.m_ColHeaderFLastChange = New FBColumnHeader
        With Me.m_ColHeaderFLastChange
            .Sort = ByLastChange
            .Width = 125
            .Text = "nderungen am   "
            .TextAlign = HorizontalAlignment.Center
        End With
        Me.m_ColHeaderFLastAccess = New FBColumnHeader
        With Me.m_ColHeaderFLastAccess
            .Sort = ByLastAccess
            .Width = 125
            .Text = "Letzter Zugriff   "
            .TextAlign = HorizontalAlignment.Center
        End With
        Me.m_ColHeaderFAttributes = New FBColumnHeader
        With Me.m_ColHeaderFAttributes
            .Sort = ByAttributes
            .Width = 200
            .Text = "Attribute"
        End With
        ltv.Columns.AddRange(New ColumnHeader() _
                {Me.m_ColHeaderFName, Me.m_ColHeaderFExeType, Me.m_ColHeaderFLength, _
                 Me.m_ColHeaderFType, Me.m_ColHeaderFLastChange, Me.m_ColHeaderFLastAccess, _
                 Me.m_ColHeaderFAttributes})

    End Sub

End Class
