
'Klaus D. Raudszus
'Raudszusklaus@aol.com

Option Strict On

Imports System.Windows.forms

'Zentrales Exception-Handling
Public Class CatchThreadException

    Public Sub CatchThreadException(ByVal sender As Object, _
           ByVal teea As Threading.ThreadExceptionEventArgs)
        If MessageBox.Show(ErrorString(teea.Exception), _
           "EXCEPTION", MessageBoxButtons.OKCancel, _
            MessageBoxIcon.Error, MessageBoxDefaultButton.Button1, _
            MessageBoxOptions.DefaultDesktopOnly) = DialogResult.Cancel Then
            'Code
            Application.Exit()
        End If
    End Sub

    Public Function ErrorString(ByVal e As Exception) As String
        Dim strError As String = String.Concat((e.Message), vbCrLf, vbCrLf, _
            e.TargetSite, vbCrLf, vbCrLf, _
            "Stack Trace:", vbCrLf, _
            e.StackTrace, vbCrLf, vbCrLf, _
            "********** OK drcken um im Programm fortzufahren **********", vbCrLf, vbCrLf, _
            "Raudszusklaus@aol.com")
        Return strError
    End Function

End Class











