
'Klaus D. Raudszus
'Raudszusklaus@aol.com

Option Strict On

Imports System.Runtime.InteropServices

Public Class Win32Api

    <StructLayout(LayoutKind.Sequential, CharSet:=CharSet.Auto)> _
    Public Structure SHFILEINFO
        Public hIcon As Int32
        Public iIcon As Int32
        Public dwAttributes As Int32
        <MarshalAs(UnmanagedType.ByValTStr, SizeConst:=260)> _
        Public szDisplayName As String
        <MarshalAs(UnmanagedType.ByValTStr, SizeConst:=80)> _
        Public szTypeName As String
    End Structure

    Public Enum SHGetFileInfoConstants
        SHGFI_TYPENAME = &H400
        SHGFI_ATTRIBUTES = &H800
        SHGFI_EXETYPE = &H2000
        SHGFI_LARGEICON = 0
        SHGFI_SMALLICON = 1
        SHGFI_ICON = &H100
    End Enum

    Public Declare Auto Function SHGetFileInfo Lib "shell32.dll" ( _
                    ByVal pszPath As String, _
                      ByVal dwFileAttributes As Integer, _
                        ByRef psfi As SHFILEINFO, _
                          ByVal cbFileInfo As Integer, _
                            ByVal uFlags As Integer) _
                              As IntPtr

    Public Declare Auto Function DestroyIcon Lib "user32.dll" ( _
                    ByVal hicon As IntPtr) As Boolean
End Class
